﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace Post8789
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.MapTools.PanZoomBar.Enabled = true;
                Map1.MapTools.MouseCoordinate.Enabled = true;
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay wms = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(wms);

                FeatureSourceMarkerOverlay markerOverlay = new FeatureSourceMarkerOverlay("MarkerOverlay");
                markerOverlay.FeatureSource = new ShapeFileFeatureSource(MapPath("~/App_Data/cities_a.shp"));

                markerOverlay.Click += new EventHandler<MarkerOverlayClickEventArgs>(markerOverlay_Click);

                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage = new WebImage("./theme/default/img/marker.gif");
                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.Popup.ContentHtml = "<span class='popup'>[#AREANAME#]</span>";
                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.Popup.AutoSize = true;
                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.Popup.BackgroundColor = GeoColor.StandardColors.White;
                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.Popup.BorderColor = GeoColor.StandardColors.Black;
                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.Popup.BorderWidth = 1;
                markerOverlay.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                Map1.CustomOverlays.Add(markerOverlay);
                markerOverlay.FeatureSource.Open();
                Map1.CurrentExtent = markerOverlay.FeatureSource.GetBoundingBox();

            }
        }

        void markerOverlay_Click(object sender, MarkerOverlayClickEventArgs e)
        {

        }
    }
}
